<ion-content>

  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-item>
      <ion-label>{{ 'Notices >> Update Notice' | translate }}</ion-label>
    </ion-item>
  </ion-toolbar>

  <ion-card>
    <ion-card-header>
      <ion-card-title>{{ 'Update Notice' | translate }}</ion-card-title>
      <ion-card-subtitle>{{ 'Update a selected notice' | translate }}</ion-card-subtitle>
    </ion-card-header>
    <ion-card-content>
      <form [formGroup]="form" (ngSubmit)="updateNotice()" method="post">

        <ion-item>
          <ion-label position="floating">{{ 'Title' | translate }}</ion-label>
          <ion-input formControlName="title" type="text" name="title"></ion-input>
        </ion-item>

        <div style="color: red" *ngIf="form.get('title').hasError('required') && form.get('title').touched">
        {{ 'This field is required*' | translate }}</div>

        <ion-item>
          <ion-label position="floating">{{ 'Description' | translate }}</ion-label>
          <ion-textarea formControlName="description" type="text" name="description"></ion-textarea>
        </ion-item>

        <div style="color: red" *ngIf="form.get('description').hasError('required') && form.get('description').touched">
         {{ 'This field is required*' | translate }}</div>

        <ion-item>
          <ion-label position="floating">{{ 'Validity' | translate }}</ion-label>
          <ion-datetime displayFormat="MMM DD, YYYY HH:mm" pickerFormat="MMM DD, YYYY HH:mm" min="{{minDate}}" max="{{maxDate}}"
          placeholder="Select Date and Time" formControlName="validity" name="validity"></ion-datetime>
        </ion-item>

        <div style="color: red" *ngIf="form.get('validity').hasError('required') && form.get('validity').touched">
         {{ 'This field is required*' | translate }}</div>

          <ion-row *ngIf="this.cacheObject?._cache_pending_operation == 'delete'" style="color: red">
            <ion-icon name="alert">r</ion-icon>
             {{ 'the object is deleted but not synced to server yet' | translate }}
          </ion-row>

        <ion-button *ngIf="this.cacheObject?._cache_pending_operation != 'delete'" type="submit" expand="full" color="primary" [disabled]="!form.valid">
          {{ 'Update Notice' | translate }}</ion-button>
        <ion-button *ngIf="this.cacheObject?._cache_pending_operation != 'delete'" expand="full" color="danger" (click)="removeNotice()">{{ 'Remove Notice' | translate }}</ion-button>
      </form>
    </ion-card-content>
  </ion-card>
</ion-content>